PDA

View Full Version : SlimServer on OS X 10.2.8



Andy_Potvin
2005-11-02, 11:00
I recently installed Slim Server 6.2 over a working 6.1.x installation.
The Server will not start now the log reveals these messages:
Can't locate Encode.pm in @INC (@INC contains: /Users/andy/Library/SlimDevices/Plugins/ /Library/SlimDevices/Plugins/ /Library/PreferencePanes/SlimServer.prefPane/Contents/server/Plugins /Library/PreferencePanes/SlimServer.prefPane/Contents/server /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6.0/darwin /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6.0/darwin/auto /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6/darwin /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6/darwin/auto /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/darwin /System/Library/Perl/darwin /System/Library/Perl /Library/Perl/darwin /Library/Perl /Network/Library/Perl/darwin /Network/Library/Perl .) at /Library/PreferencePanes/SlimServer.prefPane/Contents/server/Slim/Control/CLI.pm line 12.
BEGIN failed--compilation aborted at /Library/PreferencePanes/SlimServer.prefPane/Contents/server/Slim/Control/CLI.pm line 12.
Compilation failed in require at ./slimserver.pl line 220.
BEGIN failed--compilation aborted at ./slimserver.pl line 220.


Anyone with any thoughts or suggestions.
Best Regards
Andy Potvin

Dan Sully
2005-11-02, 11:07
* Andy_Potvin shaped the electrons to say...

>I recently installed Slim Server 6.2 over a working 6.1.x installation.

Fixed in the 6.2.1 nightlies.

We also strongly encourage you to upgrade to OS X 10.4.x/Tiger.

-D
--
<ZangTT> berkeley db - it's mostly about the hash()

sben
2005-11-02, 11:12
Dan Sully wrote:
> We also strongly encourage you to upgrade to OS X 10.4.x/Tiger.

Out of curiosity (since my Slimserver is already Tiger): Why is this?

-- S. Ben Melhuish

Dan Sully
2005-11-02, 11:14
* S. Ben Melhuish shaped the electrons to say...

>Dan Sully wrote:
>>We also strongly encourage you to upgrade to OS X 10.4.x/Tiger.
>
>Out of curiosity (since my Slimserver is already Tiger): Why is this?

Tiger is the first version of OS X that ships with a version of Perl able to
handle full Unicode support. It's also more stable in general.

-D
--
<ZangTT> berkeley db - it's mostly about the hash()

Andy_Potvin
2005-11-02, 11:26
Tried your suggestion and got the following result in the Log:

2005-11-02 10:22:20.8256 SlimServer OSDetect init...
2005-11-02 10:22:20.8264 SlimServer OS Specific init...
2005-11-02 10:22:20.8283 SlimServer daemonizing...
2005-11-02 10:22:20.8573 SlimServer settings effective user and group if requested...
2005-11-02 10:22:20.8669 SlimServer settings init...
2005-11-02 10:22:21.1210 SlimServer saving pid file.
2005-11-02 10:22:21.1276 Got to the END.
2005-11-02 10:22:21.1292 Got sigint.
2005-11-02 10:22:21.1297 SlimServer cleaning up.
2005-11-02 10:22:21.7677 SlimServer strings init...
2005-11-02 10:22:22.6045 SlimServer Setup init...
2005-11-02 10:22:22.7447 SlimServer setting language...
2005-11-02 10:22:22.7459 SlimServer IR init...
2005-11-02 10:22:22.8402 SlimServer Buttons init...
2005-11-02 10:22:23.0304 SlimServer Graphics init...
Can't locate auto/Storable/store.al in @INC (@INC contains: /Library/SlimDevices/ /Users/andy/Library/SlimDevices /Users/andy/Library/SlimDevices/Plugins/ /Library/SlimDevices/Plugins/ /Library/PreferencePanes/SlimServer.prefPane/Contents/server/Plugins /Library/PreferencePanes/SlimServer.prefPane/Contents/server /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6.0/darwin /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6.0/darwin/auto /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6/darwin /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/5.6/darwin/auto /Library/PreferencePanes/SlimServer.prefPane/Contents/server/CPAN/arch/darwin /System/Library/Perl/darwin /System/Library/Perl /Library/Perl/darwin /Library/Perl /Network/Library/Perl/darwin /Network/Library/Perl .) at /Library/PreferencePanes/SlimServer.prefPane/Contents/server/Slim/Display/Graphics.pm line 392
2005-11-02 10:22:44.1363 Got to the END.
2005-11-02 10:22:44.1372 Got sigint.
2005-11-02 10:22:44.1378 SlimServer cleaning up.


Happy and willing to try almost anything, but since this server computer is a g3 266 upgrading to tiger is not really an option.
I could run the server on my G5 but it really slimes the performance of the system so for now it is relegated to the G3 dedicated server.
BTW -
OSX 10.2.8
Perl 5.6.0

Best Regards and thanks for any help in advance.
Andy Potvin

DrNic
2005-11-02, 11:27
Tiger is the first version of OS X that ships with a version of Perl able to
handle full Unicode support. It's also more stable in general.


Oooh, whats that?
A version of apples OS that is "more" stable??
I thought _all_ versions were stable?!!

(Sarcasm alert!)

Nic

SoundBoy
2006-01-06, 10:48
Hi all

I do have the same problem on my G3 with 128MByte OS 10.2.8 running. Even installing PERL 5.8 did not resolve it. So I do note really think it is a PERL problem?

Like in Andy's case upgrading to Tiger is not an option as my G3 is my media server (not enough ram for Tiger). I could opt for Panther (would that work there?) but I am curious what's going on here.